BT GENERIC DEFINES
==================

Overview
--------

`Instructions`_

Application Example
-------------------

`Instructions`_

.. _Instructions: ../template.html


API Reference
-------------

Header Files
^^^^^^^^^^^^

  * :component_file:`bt/bluedroid/api/include/esp_bt_defs.h`


Macros
^^^^^^

.. doxygendefine:: ESP_DEFAULT_GATT_IF
.. doxygendefine:: ESP_BLE_CONN_PARAM_UNDEF
.. doxygendefine:: ESP_BLE_IS_VALID_PARAM
.. doxygendefine:: ESP_UUID_LEN_16
.. doxygendefine:: ESP_UUID_LEN_32
.. doxygendefine:: ESP_UUID_LEN_128
.. doxygendefine:: ESP_BD_ADDR_LEN
.. doxygendefine:: ESP_APP_ID_MIN
.. doxygendefine:: ESP_APP_ID_MAX

Type Definitions
^^^^^^^^^^^^^^^^

.. doxygentypedef:: esp_bd_addr_t

Enumerations
^^^^^^^^^^^^

.. doxygenenum:: esp_bt_status_t
.. doxygenenum:: esp_bt_dev_type_t
.. doxygenenum:: esp_bd_addr_type_t
.. doxygenenum:: esp_ble_addr_type_t

Structures
^^^^^^^^^^


Functions
^^^^^^^^^


